# Generated by Django 3.1.3 on 2020-11-26 00:55

import datetime
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Employee',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('names', models.CharField(max_length=150, verbose_name='Nomes')),
                ('dni', models.CharField(max_length=10, unique=True, verbose_name='DNI')),
                ('date_joined', models.DateField(default=datetime.datetime.now, verbose_name='Data de Registro')),
                ('date_create', models.DateTimeField(auto_now=True)),
                ('date_update', models.DateTimeField(auto_now_add=True)),
                ('age', models.PositiveIntegerField(default=0)),
                ('salary', models.DecimalField(decimal_places=2, default=0.0, max_digits=9)),
                ('state', models.BooleanField(default=True)),
                ('avatar', models.ImageField(blank=True, null=True, upload_to='avatar/%y/%m/%d')),
                ('cvitae', models.ImageField(blank=True, null=True, upload_to='avatar/%y/%m/%d')),
            ],
        ),
    ]
